Type to search.

Set the connector sync job stats

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Stats include: deleted_document_count, indexed_document_count, indexed_document_volume, and total_document_count. You can also update last_seen. This API is mainly used by the connector service for updating sync job information.

To sync data using self-managed connectors, you need to deploy the Elastic connector service on your own infrastructure. This service runs automatically on Elastic Cloud for Elastic managed connectors.

Path parameters

connector_sync_job_id string required

The unique identifier of the connector sync job.

Request body

deleted_document_count number required

The number of documents the sync job deleted.

indexed_document_count number required

The number of documents the sync job indexed.

indexed_document_volume number required

The total size of the data (in MiB) the sync job indexed.

last_seen union oneOf

The timestamp to use in the last_seen property for the connector sync job.

Values: -1 0
metadata object

The connector-specific metadata.

total_document_count number

The total number of documents in the target index after the sync job finished.

Response

application/json

Response Type: object